%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif


%define qtmajor 5
%define qtminor 12
%define qtsubminor 6

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%if %snapshot
%define qttarballdir qtquickcontrols-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtquickcontrols-everywhere-src-%{qtversion}
%endif

Name: qtquickcontrols5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Quick Controls
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0:  http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: pkgconfig(Qt5Quick) = %{version}
Conflicts:     qtdeclarative5 < 5.4.0

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Quick Controls.

%files
%{_qt5_qml}/QtQuick/Controls
%{_qt5_qml}/QtQuick/Dialogs
%{_qt5_qml}/QtQuick/PrivateWidgets
%{_qt5_qml}/QtQuick/Extras

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtQuickControls%{qtmajor} APIs and tools docs
Group:   Documentation
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickControls5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtquickcontrols1.qch
%{_qt5_docdir}/qtquickcontrols1/
%{_qt5_docdir}/qtquickdialogs.qch
%{_qt5_docdir}/qtquickdialogs/
%{_qt5_docdir}/qtquickextras.qch
%{_qt5_docdir}/qtquickextras/
%_qt5_examplesdir/quickcontrols/

%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%else
rm -rf %{buildroot}%{_qt5_examplesdir}
%endif


%changelog
* Mon Nov 18 2019 daviddavid <daviddavid> 5.12.6-1.mga7
+ Revision: 1461697
- New version 5.12.6

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384470
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378541
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362286
- New version 5.12.1

* Wed Dec 12 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1340847
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319030
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300719
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245817
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232116
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216510
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205682
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183188
- New version 5.9.3

* Wed Jul 26 2017 pterjan <pterjan> 5.9.1-2.mga7
+ Revision: 1131072
- Fix unpackaged files when docs are disabled

* Thu Jul 20 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1125538
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064863
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049788
- build missing docs part (mga#9812)
- add qtquickcontrols5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038378
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992495
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987770
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980614
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915948
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915763
- Rebuild against new cmake to have cmake() provides

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911698
- New version 5.6.0 Beta

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900341
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894500
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853384
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840025
- New version 5.5 rc

* Fri May 15 2015 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 822146
- Add conflicts to fix upgrade

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802790
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801811
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-4.mga5
+ Revision: 750638
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 738095
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-2.mga5
+ Revision: 639785
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-2.mga5
+ Revision: 624104
- 5.3.0

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621477
- 5.3.0rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612326
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598948
- New version

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586988
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584238
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556711
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554395
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547074
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 539004
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491196
- update file list
- add private br
- imported package qtquickcontrols5

